<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [checkFactionInvitations](./bitburner.singularity.checkfactioninvitations.md)

## Singularity.checkFactionInvitations() method

List all current faction invitations.

**Signature:**

```typescript
checkFactionInvitations(): FactionName[];
```
**Returns:**

[FactionName](./bitburner.factionname.md)<!-- -->\[\]

Array with the name of all Factions you currently have outstanding invitations from.

## Remarks

RAM cost: 3 GB \* 16/4/1

Performs an immediate check for which factions you qualify for invites from, then returns an array with the name of all Factions you have outstanding invitations from.

